package cn.palmte.work.bean;

import java.math.BigDecimal;

/**
 * 预算页面
 * @author xiongshiyan at 2021/11/1 , contact me with email yanshixiong@126.com or phone 15208384257
 */
public class BudgetBean extends IncomeCostBean{
    /**
     * 总的采购成本不含税
     */
    private BigDecimal costPurchaseTotalTaxExclude;
    /**
     * 总的采购成本含税
     */
    private BigDecimal costPurchaseTotalTaxInclude;
    /**
     * 设备收入税金
     */
    private BigDecimal incomeDeviceTax;
    /**
     * 设施收入税金
     */
    private BigDecimal incomeEngineerTax;
    /**
     * 服务收入税金
     */
    private BigDecimal incomeServiceTax;
    /**
     * 总收入税金
     */
    private BigDecimal incomeTotalTax;
    /**
     * 采购设备成本税金
     */
    private BigDecimal costPurchaseDeviceTax;
    /**
     * 采购施工成本税金
     */
    private BigDecimal costPurchaseBuildTax;
    /**
     * 采购服务成本税金
     */
    private BigDecimal costPurchaseServiceTax;
    /**
     * 采购其他成本含税
     */
    private BigDecimal costPurchaseOtherTax;
    /**
     * 采购其他成本含税
     */
    private BigDecimal costOtherOtherTax;
    /**
     * null就返回0
     */
    @Override
    protected BigDecimal handleSpecial(BigDecimal src) {
        return null == src ? new BigDecimal(0) : src;
    }

    public BigDecimal getCostPurchaseTotalTaxExclude() {
        return handleSpecial(costPurchaseTotalTaxExclude);
    }

    public void setCostPurchaseTotalTaxExclude(BigDecimal costPurchaseTotalTaxExclude) {
        this.costPurchaseTotalTaxExclude = costPurchaseTotalTaxExclude;
    }

    public BigDecimal getCostPurchaseTotalTaxInclude() {
        return handleSpecial(costPurchaseTotalTaxInclude);
    }

    public void setCostPurchaseTotalTaxInclude(BigDecimal costPurchaseTotalTaxInclude) {
        this.costPurchaseTotalTaxInclude = costPurchaseTotalTaxInclude;
    }

    public BigDecimal getIncomeDeviceTax() {
        return incomeDeviceTax;
    }

    public void setIncomeDeviceTax(BigDecimal incomeDeviceTax) {
        this.incomeDeviceTax = incomeDeviceTax;
    }

    public BigDecimal getIncomeEngineerTax() {
        return incomeEngineerTax;
    }

    public void setIncomeEngineerTax(BigDecimal incomeEngineerTax) {
        this.incomeEngineerTax = incomeEngineerTax;
    }

    public BigDecimal getIncomeServiceTax() {
        return incomeServiceTax;
    }

    public void setIncomeServiceTax(BigDecimal incomeServiceTax) {
        this.incomeServiceTax = incomeServiceTax;
    }

    @Override
    public BigDecimal getIncomeTotalTax() {
        return incomeTotalTax;
    }

    public void setIncomeTotalTax(BigDecimal incomeTotalTax) {
        this.incomeTotalTax = incomeTotalTax;
    }

    public BigDecimal getCostPurchaseDeviceTax() {
        return costPurchaseDeviceTax;
    }

    public void setCostPurchaseDeviceTax(BigDecimal costPurchaseDeviceTax) {
        this.costPurchaseDeviceTax = costPurchaseDeviceTax;
    }

    public BigDecimal getCostPurchaseBuildTax() {
        return costPurchaseBuildTax;
    }

    public void setCostPurchaseBuildTax(BigDecimal costPurchaseBuildTax) {
        this.costPurchaseBuildTax = costPurchaseBuildTax;
    }

    public BigDecimal getCostPurchaseServiceTax() {
        return costPurchaseServiceTax;
    }

    public void setCostPurchaseServiceTax(BigDecimal costPurchaseServiceTax) {
        this.costPurchaseServiceTax = costPurchaseServiceTax;
    }

    public BigDecimal getCostPurchaseOtherTax() {
        return costPurchaseOtherTax;
    }

    public void setCostPurchaseOtherTax(BigDecimal costPurchaseOtherTax) {
        this.costPurchaseOtherTax = costPurchaseOtherTax;
    }

    public BigDecimal getCostOtherOtherTax() {
        return costOtherOtherTax;
    }

    public void setCostOtherOtherTax(BigDecimal costOtherOtherTax) {
        this.costOtherOtherTax = costOtherOtherTax;
    }
}
